"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeEntityList = void 0;
const mvp_1 = require("../../../building-blocks/stages/writing/pieces/mvp/mvp");
const path_1 = __importDefault(require("path"));
const writeResourceToMenu_1 = require("../common/writeResourceToMenu");
const writeScreenToAdminUi_1 = require("../common/writeScreenToAdminUi");
const generatorPaths_1 = require("../common/generatorPaths");
async function writeEntityList(templateModel, gen) {
    const { relDirShift, entityName, componentName, } = templateModel;
    // Write screen component
    await mvp_1.writeAmplicodeComponent(templateModel, gen, path_1.default.join(__dirname, 'template', `ListAdvanced.tsx.ejs`), false, false);
    const screenPaths = generatorPaths_1.deriveScreenPaths(gen.destinationRoot(), relDirShift);
    // Add menu item
    writeResourceToMenu_1.writeResourceToMenu(gen, screenPaths.srcPath, entityName);
    // Add screen to <AdminUI>
    writeScreenToAdminUi_1.writeScreenToAdminUi(gen, screenPaths, entityName, componentName, "list");
    // TODO display name functions, if need
    // TODO
    // writeGraphQLSchema(gen, templateModel, path.join('..', templateModel.relDirShift));
}
exports.writeEntityList = writeEntityList;
//# sourceMappingURL=write.js.map